Banners
Diese Seite ist nicht auf Deutsch verfügbar. Die englische Version wird angezeigt.
Get a list of banners
Use this method to obtain a list of banners.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
limit?integer
Sets the limit
Range
1 <= value <= 1000Default
10offset?integer
Sets the offset
Range
0 <= valueDefault
0sort_order?string
Sorts the items in ascending or descending order
Default
"desc"Value in
- "asc"
- "desc"
sort_by?string
Sorts the items by a specified value
Default
"createTime"Value in
- "createTime"
- "priority"
filter?
Filters the items by a specified value
Header Parameters
accept-language?string
Response Body
application/json
curl -X GET "https://example.com/api/v2/my/banners?limit=10&offset=0&sort_order=desc" \ -H "accept-language: ja"{ "total": 1, "data": [ { "id": 1, "backgroundLinkLight": "https://example.com/image_light.png", "backgroundLinkDark": "https://example.com/image_dark.png", "buttonLight": "https://example.com/main-room/", "buttonDark": "https://example.com/main-room/", "buttonLink": "https://example.com", "captionLight": "<b>Key Features</b>", "captionDark": "<b>Key Features</b>", "data": { "vertical_align": "middle", "horizontal_align": "left", "padding": "0.1", "image_url_light": "https://example.com/banner_light.png", "image_url_dark": "https://example.com/banner_dark.png", "preview_enabled": true }, "enabled": true, "mobileText": "Mobile Text", "mobileTitle": "Mobile Title", "mobileSubTitle": "Mobile Subtitle", "mobileButtonTitle": "Mobile Button Caption", "priority": 1, "textLight": "Text Light", "textDark": "Text Dark", "type": "desktop", "url": "https://example.com/dashboard", "resources": [ "string" ], "createdAt": "2022-01-01T00:00:00+00:00", "createdBy": "username@example.com" } ]}